Package org.eclipse.m2m.atl.profiler.exportmodel

## Interface ExportmodelPackage.Literals

Enclosing interface:
  ExportmodelPackage

    public static interface ExportmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `ATL_OPERATION_EXPORT` The meta object literal for the '`Atl Operation Export`' class.
`static org.eclipse.emf.ecore.EAttribute` `ATL_OPERATION_EXPORT__CALLS` The meta object literal for the 'Calls' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ATL_OPERATION_EXPORT__PROFILING_OPERATION` The meta object literal for the 'Profiling Operation' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `EXPORT_ELEMENT` The meta object literal for the '`Export Element`' class.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__BEGIN_MEMORY` The meta object literal for the 'Begin Memory' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__END_MEMORY` The meta object literal for the 'End Memory' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__INSTRUCTIONS` The meta object literal for the 'Instructions' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__MAX_MEMORY` The meta object literal for the 'Max Memory' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__TIM_EXECUTION` The meta object literal for the 'Tim Execution' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT` The meta object literal for the 'Total Instructions Percent' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT` The meta object literal for the 'Total Time Execution Percent' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EXPORT_ROOT` The meta object literal for the '`Export Root`' class.
`static org.eclipse.emf.ecore.EReference` `EXPORT_ROOT__OPERATION` The meta object literal for the 'Operation' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ROOT__TOTAL_INSTRUCTIONS` The meta object literal for the 'Total Instructions' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EXPORT_ROOT__TOTAL_TIME` The meta object literal for the 'Total Time' attribute feature.
`static org.eclipse.emf.ecore.EClass` `PROFILING_OPERATION_EXPORT` The meta object literal for the '`Profiling Operation Export`' class.

### Field Detail

#### EXPORT_ELEMENT

    static final org.eclipse.emf.ecore.EClass EXPORT_ELEMENT

The meta object literal for the '`Export Element`' class.

See Also:
  `ExportElementImpl`, `ExportmodelPackageImpl.getExportElement()`

#### EXPORT_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__NAME

The meta object literal for the 'Name' attribute feature.

#### EXPORT_ELEMENT__TIM_EXECUTION

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__TIM_EXECUTION

The meta object literal for the 'Tim Execution' attribute feature.

#### EXPORT_ELEMENT__INSTRUCTIONS

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__INSTRUCTIONS

The meta object literal for the 'Instructions' attribute feature.

#### EXPORT_ELEMENT__BEGIN_MEMORY

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__BEGIN_MEMORY

The meta object literal for the 'Begin Memory' attribute feature.

#### EXPORT_ELEMENT__MAX_MEMORY

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__MAX_MEMORY

The meta object literal for the 'Max Memory' attribute feature.

#### EXPORT_ELEMENT__END_MEMORY

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__END_MEMORY

The meta object literal for the 'End Memory' attribute feature.

#### EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__TOTAL_TIME_EXECUTION_PERCENT

The meta object literal for the 'Total Time Execution Percent' attribute feature.

#### EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ELEMENT__TOTAL_INSTRUCTIONS_PERCENT

The meta object literal for the 'Total Instructions Percent' attribute feature.

#### PROFILING_OPERATION_EXPORT

    static final org.eclipse.emf.ecore.EClass PROFILING_OPERATION_EXPORT

The meta object literal for the '`Profiling Operation Export`' class.

See Also:
  `ProfilingOperationExportImpl`, `ExportmodelPackageImpl.getProfilingOperationExport()`

#### ATL_OPERATION_EXPORT

    static final org.eclipse.emf.ecore.EClass ATL_OPERATION_EXPORT

The meta object literal for the '`Atl Operation Export`' class.

See Also:
  `AtlOperationExportImpl`, `ExportmodelPackageImpl.getAtlOperationExport()`

#### ATL_OPERATION_EXPORT__CALLS

    static final org.eclipse.emf.ecore.EAttribute ATL_OPERATION_EXPORT__CALLS

The meta object literal for the 'Calls' attribute feature.

#### ATL_OPERATION_EXPORT__PROFILING_OPERATION

    static final org.eclipse.emf.ecore.EReference ATL_OPERATION_EXPORT__PROFILING_OPERATION

The meta object literal for the 'Profiling Operation' containment reference list feature.

#### EXPORT_ROOT

    static final org.eclipse.emf.ecore.EClass EXPORT_ROOT

The meta object literal for the '`Export Root`' class.

See Also:
  `ExportRootImpl`, `ExportmodelPackageImpl.getExportRoot()`

#### EXPORT_ROOT__OPERATION

    static final org.eclipse.emf.ecore.EReference EXPORT_ROOT__OPERATION

The meta object literal for the 'Operation' containment reference list feature.

#### EXPORT_ROOT__TOTAL_TIME

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ROOT__TOTAL_TIME

The meta object literal for the 'Total Time' attribute feature.

#### EXPORT_ROOT__TOTAL_INSTRUCTIONS

    static final org.eclipse.emf.ecore.EAttribute EXPORT_ROOT__TOTAL_INSTRUCTIONS

The meta object literal for the 'Total Instructions' attribute feature.